DRAFT BackOffice Server 2000 Online Help

Welcome to BackOffice Server 2000 online Help and Information. Follow one of the links below, or select a topic from the Contents section for information on that topic.

Planning and Installation Online

Welcome to BackOffice Server 2000

BackOffice Server Scenarios

Connectivity

Managing BackOffice Server 2000

Intranet Applications

Server Health and Monitoring

Performance Tuning

Security

Support Resources

Troubleshooting

© 2000 Microsoft Corporation. All rights reserved.

Built on Tuesday, May 16, 2000


Draft Welcome to BackOffice Server 2000

Welcome to BackOffice Server 2000

Microsoft® BackOffice Server 2000, the leading comprehensive server suite of applications for Windows® 2000, reduces the cost and complexity of building, deploying, and managing integrated and scalable IT solutions for the branch office, department, and medium-sized business. BackOffice Server 2000 integrates the latest operating system and application server products, including Windows 2000 Server, Exchange 2000 Server, and SQL® Server™ 2000. BackOffice Server 2000 includes many new deployment and management features such as a MultiServer Planning Wizard, Deployment Wizard, Internet Connection Wizard, remote server administration and monitoring/troubleshooting, Health Monitor server status views and reports, and updated Intranet Applications. In addition, new branch office communications services include the Shared Modem Service and Shared Fax Service.

Related Topics

Features at a Glance

Links to Product Home Pages


Features at a Glance

Microsoft BackOffice Server 2000 includes the following components:

  • Microsoft Windows 2000 Server with Service Pack 1
  • Windows 2000 Server builds on the strengths of Windows NT technology, integrating standards-based directory, Web, application, communications, and file and print services with high reliability and efficient management. It also supports the latest advances in networking hardware, providing the best foundation for integrating your business with the Internet.
  • Integrated Setup

BackOffice Server 2000 installs and configures all application components and service packs through a single, integrated setup that includes verification of available disk space, system compatibility, and dependency checking. BackOffice Server setup detects current version levels, and then recommends appropriate component or service pack upgrades.

BackOffice Server Setup reduces the complexity of server setup by automatically defaulting many common settings, and by consolidating the number of server setup screens an administrator needs to go through. The maintenance mode of BackOffice Server Setup enables administrators to add or remove features and server application components.

To make installing BackOffice Server even easier, BackOffice Server Setup provides predefined scenarios. For more information about these scenarios, refer to Chapter 3, "BackOffice Server Installation Scenarios," in BackOffice Server 2000 Planning and Installation.

  • MultiServer Deployment

BackOffice Server 2000 provides flexible deployment into the medium-sized business, branch office, or department as follows:

  • It enables you to install single instances of server application components on up to three physical server computers.
  • The MultiServer Planning Wizard helps you plan your installation, and guides you through the entire process of server deployment. Other BackOffice Server features, such as the BackOffice Server management consoles, Health Monitor, and Intranet Applications, automatically detect and recognize server applications installed on different systems.
  • BackOffice Server Deployment Wizard

BackOffice Server 2000 includes a deployment wizard that IT managers use for scripts, created during BackOffice Server setup, to replicate an individual or MultiServer configuration across hundreds of branch offices. This helps lower the cost of deployment and management by maintaining configuration consistency across the organization.

  • BackOffice Server Management Snap-ins and Consoles

BackOffice Server 2000 includes the following management snap-ins and consoles, which enable administrators to perform common administrative tasks on one or more computers running BackOffice Server.

Snap-ins:

  • BackOffice Home
  • BackOffice Manager
  • BackOffice MultiServer Manager

Preconfigured management consoles:

  • My BackOffice Server Console
  • BackOffice Server Management Console
  • BackOffice MultiServer Console

The consoles are hosted by the Microsoft Management Console (MMC). You can use them as is, customize them to suit your specific needs, or create new custom consoles.

For more information about using snap-ins and consoles to manage BackOffice Server, refer to Chapter 9, "Administration," in BackOffice Server 2000 Planning and Installation.

  • BackOffice Server Monitoring and Reporting

BackOffice Server 2000 provides administrators the following tools, to view and report on the state of their current server health and to automatically send notifications for events that require attention. These tools include:

  • Health Monitor 2.1
    Health Monitor 2.1 is a powerful real-time monitoring tool for administrators. Health Monitor collects system data, such as performance counters and service status, and generates detailed status summary views for each server in your organization. Health Monitor can also be configured to automatically notify administrators when a problem is detected.
  • Server Status View
  • The Server Status View is displayed each time you open the BackOffice Server Management Console or access the BackOffice Home snap-in. This view provides a current snapshot of critical events, performance counters, and services that you have chosen to monitor.
  • Server Status Reports
    You can configure BackOffice Server to automatically send regular reports on your server’s status, including the condition of your hardware, application health, and system performance. Reports can be e-mailed to administrators, to build historical views of server usage, thus enabling them to plan for future upgrades or required maintenance.
  • BackOffice Server Intranet Applications

BackOffice Server 2000 provides intranet applications you can use almost immediately after installing the BackOffice suite of applications. The applications provide communications, data sharing, and productivity collaboration solutions you can customize and build upon to meet your organization's specific requirements.

The applications include Help Desk, Document Finder, People Finder, Company Calendar, and Administration for the applications.

The BackOffice Server intranet solution uses the combined power of Microsoft Exchange 2000 Server, SQL Server 2000, Windows 2000 Active Directory, and Microsoft Internet Information Services 5.0.

A single-use license for FrontPage 2000 Service Release 1 is included in BackOffice Server 2000. Use FrontPage to update and customize your intranet.

  • Internet Connection Wizard
  • The Internet Connection Wizard helps you configure BackOffice Server as the gateway that connects your network to the Internet. The wizard enables you to configure Windows 2000, TCP/IP, e-mail, and firewalls.
  • Shared Modem and Shared Fax Service

BackOffice Server 2000 offers communications services that enable users in branch offices and medium-sized organizations to send and receive faxes, and dial out using a share of pooled modems.

The Shared Fax Service enables users to send faxes right from their desktops, using a single or shared multiple fax modems. From the BackOffice Server Management Console, administrators can manage the fax queue and thus configure calling times and priorities.

Microsoft Management Console 1.2

MMC 1.2 is a flexible and well-integrated Win32-based management console that enables administrators, whether they're connected through a LAN or RAS, to perform task-based management of all Windows 2000 and BackOffice services and applications. MMC can be used to create task-oriented management consoles, which can then be saved and distributed to administrators for company-wide standardization.

  • Windows Terminal Services

Using Windows Terminal Services, you can employ an Internet connection and a Web browser—for example, a RAS connection and Internet Explorer 5.0—to manage BackOffice Server from remote locations. Terminal Services enables you to perform the same management functionality as if you were sitting in front of the server console.

  • Internet Information Services 5.0

Internet Information Services (IIS) enables users to host and manage Web sites to share information, create Web-based business applications, and extend file, print, media, and communication services to the Web.

  • Microsoft SQL Server 2000

Microsoft SQL Server 2000 is the complete database solution for rapidly delivering the next generation of scalable Web applications with Windows DNA, dramatically reducing the time required to bring e-commerce, data warehousing, advanced analysis and line-of-business applications to market. SQL Server 2000 includes support for:

  • XML and HTTP.
  • Performance and availability features, to partition load and ensure uptime.
  • Advanced management and tuning functionality, to automate routine tasks and lower the total cost of ownership.
  • Microsoft Exchange 2000 Server and Outlook 2000 Service Release 1

Exchange 2000 Server seamlessly integrates with Windows 2000 Server, supporting state-of-the-art messaging and collaboration with superior reliability, scalability, performance, and a lower cost of ownership. Innovative new technology, such as Microsoft Web Storage System, combines the reliability and scalability of Exchange Server with the openness and accessibility of the Web, thereby providing a complete repository for Web-based messaging, information management, collaboration and applications.

  • Microsoft Host Integration Server 2000
  • Microsoft Host Integration Server 2000 (HIS) integrates older applications and data into modern network systems and applications to provide users convenient, reliable access to host systems. Whether you run a small AS/400 or a large mainframe system, HIS 2000 helps you take advantage of the emerging technologies of the Internet and intranets. HIS supports integration for back-end and host systems, as follows:
    • Increased performance.
    • Ease of configuration for DB2 access.
    • Support for SQL Server 2000 replication with Oracle and DB2.
    • COM+ support for integrated CICS and IMS transactions.
    • Support for Message Queuing Server
    • Support for IBM’s MQSeries 5.1, to integrate messaging-oriented applications.
    • Load balancing and hot backup for LU6.2 applications.

HIS also provides comprehensive managed host access and a complete integration platform through the use of Windows DNA 2000.

  • Microsoft Systems Management Server 2.0 Service Pack 2

Microsoft Systems Management Server (SMS) is designed to simplify management, support, and maintenance of a distributed network. With SMS, you can distribute software, identify the number of computers you have on the network, collect information about your hardware and software inventory, and monitor the integrity of the network itself. To help administrators manage Windows-based computers, SMS also provides shared application support for the Windows operating system.

For more information, refer to the Microsoft Systems Management Server documentation.

  • Microsoft Internet Security and Acceleration Server 2000

The Microsoft Internet Security and Acceleration Server 2000 (ISA) extensible firewall and Web cache server makes the business you do on the Internet safer, faster, and more manageable. ISA Server provides superior integration with Windows 2000 Server, for policy-based security, accelerations, and management of internetworking. The multilayered firewall secures business internetworking, and the scalable, high-performance Web cache provides fast access to information. Powerful management tools and superior platform capabilities enable easy development, deployment, and administration of rich internetworking solutions.


Draft Links to Product Home Pages

Links to Product Home Pages

The BackOffice Server Web site provides product information about BackOffice Server 2000, supplies solutions for technology needs, and provides a comprehensive list of available resources.

Additionally, the product Web site (home page) contains information about deployment, support, developers, and partners, and also provides free software trials. Each component within the BackOffice Server 2000 suite of applications has its own home page.

Windows 2000 Server

SQL Server 2000

Exchange Server 2000

Internet Explorer

Systems Management Server

Host Integration Server

Internet Security and Acceleration Server


Finding Help and Information

Not available for Beta.


Draft Introductory Tours

Placeholder


Introduction to MultiServer Groups

Introduction to MultiServer Groups.


Using an Intranet

Using an Intranet.


Remote Administration Using Terminal Services

Remote Administration Using Terminal Services.


Using Management Consoles

Using Management Consoles.


Introduction to Server Health and Monitoring

Introduction to Server Health and Monitoring.


Draft BackOffice Server Scenarios

Placeholder


Draft MultiServer Groups

Placeholder


Draft Connectivity

Placeholder


Draft Connecting to the Internet

Placeholder


Draft Connecting to non-Windows Environments

Placeholder


DRAFT Managing BackOffice Server

BackOffice Server provides a collection of Microsoft Management Console (MMC) snap-ins, saved console files, wizards, and executables that can be used to manage your BackOffice Server computers. You can use these tools to build new administrative consoles, customize one of the preconfigured consoles provided with BackOffice Server, or simply use the preconfigured consoles as they are.

At the core of these management tools is the BackOffice Manager, a stand-alone snap-in hosted by Microsoft Management Console (MMC). When loaded into an MMC console, the BackOffice Manager snap-in provides a management shell into which an administrator can assemble a series of queries and taskpads to create task-oriented administrative consoles. These consoles can be customized to provide a variety of BackOffice Server management functions, which can then be stored as console (.msc) files and distributed to other administrators who are responsible for specific elements of network management.

Related Topics

Best Practices

New Ways to Do Familiar Tasks


DRAFT Server Management Roles

BackOffice Server 2000 must be installed on a computer running Windows 2000 Server and which is fulfilling the proper server role. The server role will determine which business solution BackOffice Server fulfills.

Installation Requirements

In order to install BackOffice Server 2000, you must specify that your server computer is installed as or promoted to one of the following server roles or types:

Primary domain controller

(PDC) A computer running Windows 2000 Server that maintains the master copy of the Active Directory service database and manages domain member users and computers via password authentication, group policies, and connection restrictions. There can only be one PDC in a domain.

Backup domain controller

(BDC) A computer running Windows 2000 Server that retains a backup copy of the Active Directory service database used to manage domain member users and computers. The copy is periodically synchronized with the database maintained by the primary domain controller (PDC). There can be multiple BDCs in a domain and any BDC can be promoted to a PDC as needed.

Stand-alone server

A computer running Windows 2000 Server that is not operating as a domain controller or a member server in a domain. Instead, the server computer is made known to the network through a specified workgroup name, which can be shared by other computers, but is used only for browsing purposes and not to provide secured login access to shared domain resources.

If you want to install Systems Management Server, you must select either primary domain controller or backup domain controller.

Important After you install Windows 2000 Server, you can promote a backup domain controller to a primary domain controller or demote a primary domain controller to a backup domain controller. However, you cannot convert a stand-alone server to a domain controller (or vice versa) without reinstalling Windows 2000 Server.

BackOffice Server Solutions

During setup, your BackOffice Server 2000 installation must be defined as one of three basic business solutions:

  1. Central Office Server
  2. Branch Office Servers
  3. Workgroup

The business solution will determine which components are installed and how they are configured.

The business solutions are provided to make installing BackOffice Server as convenient as possible. You can still customize the business solution to meet the particular needs of your network.

For information about the business solutions offered, see "Server Locations," in Chapter 3 of the Planning and Installation Guide, or click More Information in the Business Solutions box.

If your computer is connected to the Internet you can access the BackOffice Server Web site at:
http://www.microsoft.com/backofficeserver

Related Topics

Managing Client Computers


DRAFT New Ways to Do Familiar Things

BackOffice Server 2000 includes several new features, which provide easier ways to carry out familiar BackOffice Server tasks.

Using the New Management Consoles

BackOffice Server 2000 uses the updated Microsoft Management Console (MMC) 1.2 to manage network resources. BackOffice Server 2000 comes with four full-featured management consoles: BackOffice Server Management Console, My BackOffice Server Console, BackOffice MultiServer Console, and BackOffice MultiServer Core Console.

The BackOffice Server Management Console is intended for the experienced network administrator. This console includes all of the snap-ins and pre-defined queries you will need to manage Active Directory objects on your network. Furthermore, all of the standard MMC console views and toolbars are also enabled.

The My BackOffice Server Console is intended for a first-time administrator or power-user on your network. This console contains links to the most common network tasks and uses taskpads to guide administrators through their work. Most of the standard MMC console views and toolbars are disabled in this console.

The BackOffice MultiServer Console and BackOffice MultiServer Core Console are intended for experienced network administrators in a multiserver environment. These consoles contain all the snap-ins and queries needed to manage multiple servers.

You can use any of these consoles as a template to create management consoles of your own.

Using Taskpads

BackOffice Server tasks, script commands, menu commands, and calls to external applications can be defined as part of a taskpad view. A taskpad view arranges the results pane of a management console into a task-friendly layout. This layout uses icons and hyperlinks to call common tasks and allows administrators to customize icons, tasks, and commands to fit their individual needs.

Using User Templates

BackOffice Server 2000 allows you to use any existing user's settings as a template to create new users. Using a template allows you to quickly configure a user’ s security group membership, distribution lists membership, company or personal information, and e-mail and Internet connection settings. You can define or apply a user template from the Add User Wizard.

Using Remote Access through Terminal Services

Remote administrators and power users can now access the BackOffice Server through a Terminal Services client. Terminal Services provides the remote administrator with the same GUI as if they were logged onto the server directly. You can now define a user’s remote access permissions, including access to Terminal Services, when setting up a user account.

Using the BackOffice Home Snap-in

Server health and status can now be monitored from any MMC console with the BackOffice Home snap-in. This snap-in displays information about Health Monitor alerts, performance counters, and service status. It also enables administrators to configure reports, customize views, and provide helpful links to the Small Business Server Web site and online Help.

Related Topics

Best Practices

BackOffice Server Snap-ins


DRAFT BackOffice Server Snap-ins

Snap-ins are individual components of server management that are loaded into Microsoft Management Console as tools to help network administrators perform their tasks. A snap-in can work independently or extend the functionality of other snap-ins.

The building blocks that make up the BackOffice Server management consoles are the object-specific snap-ins. BackOffice Server provides two stand-alone snap-ins: BackOffice Manager and BackOffice Home. Other snap-ins are provided by the individual server products (such as Systems Management Server, Internet Information Server, and SQL Server Enterprise Manager) and by the Windows 2000 Active Directory. Any stand-alone snap-in can be added to a management console, but extension snap-ins can only extend Active Directory snap-ins.

Console snap-ins are designed with the higher-level administrator in mind. Each snap-in contains a specific set of tasks and queries that can be isolated for a particular type of administrator. These tasks then can be set up with taskpad views and saved as a custom management console (.msc) file. Such task-specific consoles can then be distributed to lower-level administrators as needed.

BackOffice Manager

The BackOffice Manager snap-in provides a management shell but has no task functionality of its own. The BackOffice Manager snap-in can contain any Active Directory object or snap-in as a lower-level node. You can use the BackOffice Manager snap-in as a Console Root or aggregator node for your customized management consoles.

BackOffice Home

The BackOffice Home snap-in is a centralized source for all server health and status information. By default, this snap-in displays information about Health Monitor alerts, performance counters, and service status, but you can customize the view to fit your administrative needs. The BackOffice Home snap-in is also where administrators can go to configure reports and schedule regular status updates to be sent by e-mail. Lastly, the BackOffice Home snap-in provides helpful links to the Small Business Server Web site and online Help.

Related Topics

Customizing Management Consoles


DRAFT Using Templates to Add Users

User templates enable administrators to create new user accounts by copying the properties from an existing user account. BackOffice Server 2000 comes with three pre-defined user accounts that are part of the BackOffice Template Users security group. These accounts will appear as templates within the Add User Wizard.

When a template is selected, the following items are copied from the template user to the new user.

  • All security group and distribution group memberships
  • All address information found on the Address tab of the user property dialog box
  • Terminal Services settings, found on the Environment tab of the user property dialog box
  • Remote access settings, found on the Dial-in tab of the user property dialog box

Note Individual access rights assigned to a user (such as permissions on a shared folder) will not be copied to the template. However, the template will inherit the access rights of the propagated groups.

By default, the three default template users are members of the following security groups:

BackOffice Administrator

This template adds a user to three security groups: BackOffice Administrators, Internet Users, and BackOffice Database Users.

BackOffice Power User

This template adds a user to seven security groups: Account Operators, Internet Users, BackOffice Database Users, BackOffice ExchangeOp, BackOffice FolderOp, BackOffice UserOp, and Print Operators.

BackOffice User

This template adds a user to three security groups: BackOffice Database Users, Internet Users, and Users.

You can create a new user template if you know you will be adding more users with settings identical to a current user. To create a new user template, add the user to the list of template users by editing the BackOffice Template Users security group. After you add a user to the Members list of this security group, it becomes available as a user template from the Add User Wizard.

Related topics

Add a User to BackOffice Template Users


DRAFT Using Templates to Create New Consoles

BackOffice Server 2000 comes with four management consoles (BackOffice Server Management Console, My BackOffice Server Console, BackOffice MultiServer Console, and BackOffice MultiServer Core Console) that you can use as templates to create your own consoles. This is the fastest and easiest method to create a new management console. By starting with an existing console, and then adding and removing snap-ins, taskpads, and tasks, you can create functional consoles with minimal effort.

To change an existing console, open it in author mode. Once you have created a new console, save it as a management console (.msc) file. For more information, see the following Related Topics link.

Related Topics

Customizing Management Consoles


DRAFT Using Security Groups to Control Access to Resources

By default, each BackOffice Server user belongs to at least one security group. If you want to restrict which users can access a particular network resource, the easiest way to do this is to assign the users to new security groups.

For example, if you had a shared folder of accounting data for which you want to restrict access, you could create a security group called Accountants and assign this security group exclusive access to the shared folder. In order to grant the Accountants security group exclusive access to the shared folder, you would then assign all other users to a security group that is explicitly denied access to the shared folder (e.g., Restricted or Users).

Related Topics

Add a New User


DRAFT How To

Small Business Server 2000 uses Microsoft Management Console (MMC) to administer and manage network resources. Use the following information to design, create, and change management consoles.

Designing Consoles

Learn some of the conceptual details and best practices of making your management consoles.

Customizing Management Consoles

Adding Nodes to the Console Tree

Learn how to add nodes to the Console Tree and customize their behavior.

Create a New Console Window

Add a Query Node

Add an Aggregator Node

Add Support for an Active Directory Object

Add a Context Menu

Modify Context Menu Items

Adding or Removing Snap-Ins

Learn how to add and remove stand-alone snap-ins and their extensions.

Add a Stand-Alone Snap-in to a Console

Add an Extension to a Snap-in

Remove a Snap-in from a Console

Remove an Extension from a Snap-in

Change a Snap-in List View

Adding Taskpads

Learn how to create, change, and remove taskpad views.

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Adding or Removing Console Elements

Learn how to add and remove management console elements.

Add or Remove Console Elements

Setting Console Access Options

Learn how to set management console permissions.

Set Access Options for Management Consoles

Saving Console Files

Learn how to save custom console files.

Save a Custom Console File

Related Topics

Best Practices

New Ways to Do Familiar Tasks


DRAFT Customizing Management Consoles

BackOffice Server uses the Microsoft Management Console (MMC) to provide administrators a single interface from which to manage hardware, software, and network objects. BackOffice Server comes with four full-featured management consoles that are sufficient for most administrative needs:

  • BackOffice Server Management Console (ITProBOSConsole.msc)
  • My BackOffice Server Console (MyBOSConsole.msc)
  • BackOffice MultiServer Console (MultiServerManager.msc)
  • BackOffice MultiServer Core Console (MultiServerCore.msc)

You may also use these consoles as templates to create your own management consoles that you can then distribute to the administrators or power users on your network.

Designing Consoles

Before you create a new console, identify the tasks the console will perform, the components it will administer, the snap-ins and controls that it will use to perform the tasks, and the level of access you will grant to the person who will use the console. Once you have a console design, you can open an existing console and add or remove snap-ins and tasks as necessary. In order to create or edit a console you must open the console in author mode.

Adding or Removing Snap-Ins

The first step in creating a custom console is to add or remove snap-ins from the console tree. If you are customizing an existing console, be sure you remove any snap-ins that will not be used by the console administrator.

Once you have added a snap-in to a console, you can then enable or disable any associated snap-in extensions. When you enable an extension, it is automatically placed underneath the selected snap-in as a query node listing in the Console Tree. For detailed snap-in customization steps, click the following links.

Add a Stand-Alone Snap-in to a Console

Add an Extension to a Snap-in

Remove a Snap-in from a Console

Remove an Extension from a Snap-in

Change a Snap-in List View

Adding Taskpads

After you have configured the console with all necessary snap-ins and extensions, you can add one or more taskpads.

A taskpad is a task-based view that appears in the Details Pane of a management console when you follow a link or when you select a node in the Console Tree. Taskpads organize tasks into groups that meet the needs of specific types of administrators. They can be used as a user interfaces for accomplishing a variety of functions, including launching executable files, running scripts, accessing web pages, or even launching other management consoles.

Many preconfigured taskpads are included with BackOffice Server. The Favorites tab of BackOffice Server contains taskpads for users, security groups, shared folders, printers, e-mail, fax, and computers. These taskpads are especially helpful for novice users and users who don’t need to know about navigating through the Console Tree, which can be hidden from view.

You may want to create or change a taskpad for the following reasons:

  • To group commonly used tasks together with a particular snap-in or snap-ins
  • To change the list of tasks available to particular users or remote administrators
  • To manage a network resource that does not already have a taskpad
  • To add or remove tasks based on the intended console administrator
  • To launch applications, scripts, or other management consoles from a taskpad
  • For detailed taskpad customization steps, click the following links.

Create a Taskpad

Delete a Taskpad

Add a Task to a Taskpad

Delete a Task from a Taskpad

Adding or Removing Console Elements

Not every console administrator will need all of the functionality provided by MMC consoles. Before saving and distributing a console, hide console elements that are not necessary to the administrator. You can hide the following console elements from view:

  • Console Tree
  • Description bar
  • Status bar
  • Snap-in buttons
  • Snap-in menus
  • Standard buttons
  • Standard menus

Caution Always hide the Standard menus last. If you hide them too early, you will not be able to hide other console elements without reopening the console.

Add or Remove Console Elements

Set Console Access Options

Console access options determine whether a console administrator can change the console view, add or remove snap-ins and taskpads, and save console changes. If you want to allow or prevent administrators from further changing a console, you can set the console access options to user mode.

Author Mode

Assigning the author mode option to a console grants an administrator full access to all console functionality, including the ability to add or remove snap-ins and taskpads, define new tasks, and view all portions of the Console Tree.

When author mode is set as the default mode for a console, Microsoft Management Console always opens that console in author mode. When one of the user modes is set as the default for a console, you can use either the context-sensitive command Author or the command-line option /a to open the console in author mode.

User Mode

User mode disables authoring features and limits the console views and queries that a user can use to perform administrative tasks.

  • Full access. Displays the entire Console Tree, but prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, multiple window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins, or changing console properties.
  • Limited access, single window. Same as previous option, but also prevents users from creating new windows.

Set Access Options for Management Consoles

Save the Console File

After you have finished configuring a custom console, save the file.

Distribute the Console File

After a console file has been saved, you can provide it to the intended administrator over the network, on a floppy disk, or by sending it through e-mail.

More Information

For more information, see "Authoring MMC Consoles" in Microsoft Management Console online Help.

Related Topics

Best Practices

New Ways to Do Familiar Tasks


DRAFT Create a New Console Window

You can create a new management console window with a new Console Root in the Console Tree. The Console Tree is the hierarchical structure displayed in the left pane of an MMC console when the Tree tab is selected. The Console Root is always the first node listed in the Console Tree.

By adding snap-ins, taskpads, and tasks to the new console window, you can create a custom management console.

To create a new blank console window

  1. Start MMC or open another existing management console.
  2. Click Console, and then click New. A new window will replace the open console.
  3. The Console Root will be a folder named “Console Root” that you can change or delete as needed.

To create a new window with a specific snap-in as the Console Root

  1. Open an existing management console containing the snap-in you want to use.
  2. Click the snap-in aggregator or query node from the Console Tree that you want to be the new Console Root.
  3. Click Action, and then click New Window from Here. A new window will replace the open console.
  4. The Console Root will be the snap-in you selected above.

Related Topics

Using Templates to Create New Consoles


DRAFT Add a Query Node

Query nodes are used to group queries in the Console Tree.

To add a query node

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. Click Action, point to New, and then click Query Node to start the Add Query Node Wizard.
  3. Follow the on-screen instructions to complete the wizard.
  4. Click OK to create the query node.

Related Topics

BackOffice Server Snap-ins


DRAFT Add an Aggregator Node

Aggregator nodes are used to group one or more query nodes in the Console Tree.

To add an aggregator node

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. Click Action, point to New, and then click Aggregator Node.
  3. Enter a display name for the new aggregator node, and select the appropriate check boxes for any scope or filter you want to apply to lower-level query nodes.
  4. Click OK to create the aggregator node.

Related Topics

BackOffice Server Snap-ins


DRAFT Add a Context Menu

Microsoft Management Console enables you to add context menus to snap-ins and queries in the console. The context menu lists the available tasks from within the current snap-in. These tasks can be modified to match the administrator’s needs or security level.

The context menus appear in the Action menu and in the context-sensitive menu brought up when a user right-clicks an item in the results pane.

Note A context menu will not be visible unless there are objects to display from the query. You can, however, still define the contents of the context menu for a query even if there are no objects to display.

To add a context menu to a snap-in

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. From the Console Tree, select the snap-in or query node to which you want to add a context menu.
  3. Click Action, and then click Properties. If the snap-in or query you have selected does not support a context menu, Properties will not be displayed in the Action menu.
  4. Click the Context Menu tab, and then select the check boxes next to the context menu items you want to add.
  5. Click OK to save your changes.

Related Topics

Change Context Menu Items


DRAFT Change Context Menu Items

Microsoft Management Console enables you to add or remove the tasks listed in the context sensitive menus for an Active Directory object. The context menus appear in the Action menu and in the context-sensitive menu brought up when a user right-clicks an item in the results pane.

Note A context menu will not be visible unless there are objects to display in the results pane of the console. You can, however, still define what the context menu will look like when there are objects to display.

To change the items listed in the context menu

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. From the Console Tree, select the query whose context menu you want to change.
  3. Click Action, and then click Properties. If the query you have selected does not support a context menu, Properties will not be displayed in the Action menu.
  4. Click the Context Menu tab, and then select the check boxes next to the menu items you want to add or remove. You may also select a menu item and use the Move Up and Move Down buttons to change the order of the menu item.
  5. Click OK to save your changes.

Related Topics

Add a Context Menu


DRAFT Add a Stand-Alone Snap-in to a Console

You can customize BackOffice Server by adding stand-alone snap-ins to your existing consoles or creating new consoles. BackOffice Server provides two stand-alone snap-ins that you can add to your consoles.

Note You can quickly build a customized management console by starting with one of the preconfigured consoles included with BackOffice Server.

To add a stand-alone snap-in to a console

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. Click Console, and then click Add/Remove Snap-in.
  3. Click the Stand-alone tab from the Add/Remove Snap-in dialog box.
  4. From the Snap-ins added to drop-down list box, select the aggregator node or console root that you want to add the snap-in to, and then click Add.
  5. Select a stand-alone snap-in from the Available Stand-alone Snap-ins list, and then click Add. Enter any additional information you are prompted to provide. Repeat this step for any additional snap-ins you want to add.
  6. When you have finished adding snap-ins, click Close to accept your new snap-in or snap-ins.
  7. Click OK to add the new snap-in or snap-ins to the Console Tree.

Related Topics

BackOffice Server Snap-ins


DRAFT Add an Extension to a Snap-in

Some snap-ins can be modified with extensions to increase or change their functionality.

To add an extension to a snap-in

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. From the Console Tree, click the snap-in you want to change.
  3. Click Console, and then click Add/Remove Snap-in.
  4. Click the Extensions tab from the Add/Remove Snap-in dialog box.
  5. From the Snap-ins that can be extended drop-down list box, select the snap-in that you want to add the extension to.
  6. By default, the Add all extensions check box is set. If you want to add only particular extensions, clear this check box, and then click the check boxes for the extensions you want to add.
  7. Click OK to add the extensions.

Related Topics

BackOffice Server Snap-ins


DRAFT Remove a Snap-in from a Console

You can customize BackOffice Server by removing snap-ins from your existing consoles. You may want to remove certain snap-ins to provide better security and to control what users can manage.

Note Removing a snap-in from a console will remove all of the taskpads and tasks associated with that snap-in.

To remove a stand-alone snap-in from a console

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. Click Console, and then click Add/Remove Snap-in.
  3. Click the Stand-alone tab from the Add/Remove Snap-in dialog box.
  4. From the Snap-ins added to drop-down list box, select the snap-in you want to remove, and then click Remove. Repeat this step for any additional snap-ins you want to remove.
  5. Click OK to close the dialog box.

Related Topics

BackOffice Server Snap-ins


DRAFT Remove an Extension from a Snap-in

Removing an extension from a snap-in will remove all of the tasks associated with that extension. The other functions of the snap-in will not be affected.

To remove an extension from a snap-in

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. Click Console, and then click Add/Remove Snap-in.
  3. Click the Extensions tab from the Add/Remove Snap-in dialog box.
  4. From the Snap-ins that can be extended drop-down list box, select the snap-in from which you want to remove the extension or extensions.
  5. Clear the Add all extensions check box, and then select the check boxes for the extensions you want to remove.
  6. Click OK to remove the extensions.

Related Topics

BackOffice Server Snap-ins


DRAFT Change a Snap-in List View

Each snap-in generates a query that returns a list of objects and states known as a list view. You can customize your consoles’ list view to display information that is appropriate for your console administrators.

To change a snap-in list view

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. Click Action, and then click Properties.
  3. Click the List View tab, and then select the desired snap-in object from the Object Class drop-down list box.
  4. Select the check boxes next to the Column Headers you want to display or hide.
  5. Click OK to save changes to the list view.

Related Topics

BackOffice Server Snap-ins


DRAFT Create a Taskpad

Taskpads can be added and customized to suit the needs of your organization.

To create a new taskpad for a snap-in

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. From the Console Tree, select the snap-in for which you want to create a taskpad.
  3. Click Action, and then click New Taskpad view to start the New Taskpad View Wizard.
  4. Follow the on-screen instructions to complete the wizard. You can add new tasks to the taskpad by selecting the Start New Task Wizard check box at the end of the wizard.


DRAFT Delete a Taskpad

You can customize BackOffice Server consoles by deleting the taskpad associated with a particular snap-in. After a taskpad has been deleted, it cannot be recovered. It must be recreated.

To delete a taskpad from a snap-in

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. From the Console Tree, select the snap-in containing the taskpad you want to delete.
  3. Click Action, and then click Delete Taskpad View.


DRAFT Add a Task to a Taskpad

A Snap-in task can be any command from a console menu or command line, such as an executable file, script, or URL. Tasks can be added to a taskpad from the New Task Wizard or the taskpad properties page.

To add a task to a taskpad

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. From the Console Tree, select the snap-in containing the taskpad you want to change.
  3. Click Action, and then click Edit Taskpad View.
  4. Click the Tasks tab, and then click New to start the New Task Wizard.
  5. Follow the on-screen instructions to add a new task.
  6. Click OK to save the new taskpad view.


DRAFT Delete a Task from a Taskpad

You can delete tasks from a taskpad that you do not want users or other administrators to use. You can delete tasks from the default BackOffice Server consoles and then save them as custom management consoles (.msc files) for your power users or remote administrators.

To delete a task from a taskpad

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. From the Console Tree, select the snap-in containing the taskpad you want to change.
  3. Click Action, and then click Edit Taskpad View.
  4. Click the Tasks tab, select the task you want to remove from the Task List, and then click Remove.
  5. Click OK to save the new taskpad view.


DRAFT Add or Remove Console Elements

Microsoft Management Console allows you to define which console elements are visible or available to console administrators.

To add or remove console elements

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. Click View, and then click Customize.
  3. From the Customize View dialog box, select the check boxes of MMC console elements and snap-in features you want to view or hide.

    MMC console elements

    • To display or hide the Console Tree, select or clear the Console Tree check box.
    • To display or hide the Action and View menus, select or clear the Standard menus (Action and View) check box.
    • To display or hide the console toolbar, select or clear the Standard toolbar check box.
    • To display or hide the status bar at the bottom of the console window, select or clear the Status bar check box.
    • To display or hide the description bar along the top of the details pane, select or clear Description bar.
    • To display or hide the tabs along the bottom of the details pane, select or clear the Taskpad navigation tabs check box.

    Important If you clear the Standard menus (Action and View) check box and close the Customize View dialog box, you cannot access commands on the Action and View menus, including the Customize command. In this situation, to access the Customize View dialog box, click the system menu (the icon in the upper-left corner of the console), and then click Customize View.

    Notes

    • As you select or clear check boxes, view the console to confirm that the changes you make are what you expected.
    • If you hide the Console Tree, the Favorites tab, if applicable, still appears.
    • If you hide the Action and View menus, the Favorites menu, if applicable, still appears.

    Snap-in features

    • To display or hide menus specific to snap-ins, select or clear the Menus check box.
    • To display or hide toolbars specific to snap-ins, select or clear the Toolbars check box.

    Note When you select or clear the Menus and Toolbars check boxes, the menus and toolbars are displayed or hidden for all snap-ins in the console, not just the currently selected snap-in. If toggling the check boxes does not change the view, the currently selected snap-in does not have custom menus or toolbars.

  4. Click OK to save your changes.


DRAFT Set Access Options for Management Consoles

When building a custom console, you can assign the console one of two general access options: author mode or user mode. Within user mode you can specify one of three levels of access: full access, limited access (multiple window), limited access (single window).

Author Mode

Use the author mode to grant an administrator full access to all console functionality, including the ability to add or remove snap-ins and taskpads, define new tasks, and view all portions of the Console Tree.

When author mode is set as the default mode for a console, Microsoft Management Console always opens that console in author mode. When one of the user modes is set as the default for a console, you can use either the context-sensitive command Author or the command-line option /a to open the console in author mode.

User Mode

User mode disables authoring features and limits the console views and queries that a user can use to perform administrative tasks.

  • Full access. Displays the entire Console Tree, but prevents users from adding or removing snap-ins or changing console properties.
  • Limited access, multiple window. Displays only portions of the Console Tree (as defined by the console author or administrator) and prevents users from adding or removing snap-ins, or changing console properties.
  • Limited access, single window. Same as previous option, but also prevents users from creating new windows.

To set access options for a management console

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. Click Console, and then click Options.
  3. From the Console Mode drop-down list box, select the author or user mode you want to set for the console.
  4. Select the check boxes for any options you want to grant or deny users:
    • Enable context menus on taskpads in this console. Provides additional information and tool tips for taskpad tasks.
    • Do not save changes to this console. Prevents users from saving changes to the console.
    • Allow the user to customize views. Enables the user to add or remove management console menus, toolbars, and the Console Tree.
  5. Click OK to close the Options dialog box.
  6. Close the console, and then click Yes when prompted to save console settings.


DRAFT Save a Custom Console File

You can create your own custom console files by assembling multiple snap-ins, tasks, toolbars, and menus and saving them together in a management console (.msc) file. Once created, you can send your saved console files to users, who can then manage a specific network function from their computers. This is helpful in businesses where you want auxiliary administrators to perform certain common and repetitive network tasks, such as user and group management, without granting them access to unneeded or restricted network maintenance tasks.

BackOffice Server includes four preconfigured consoles: BackOffice Server Management Console, My BackOffice Server Console, BackOffice MultiServer Console, and BackOffice MultiServer Core Console. You can use these four consoles as templates to create and customize your own consoles.

To save a custom console file

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. Add any snap-ins, taskpads, tasks, and custom views that you want for this console.
  3. When you complete your customization, click Console, and then click Save As.
  4. From the Save in list, select the folder where you want to save the new console file.

    By default, console files are saved to the \Program Files\Microsoft BackOffice\Management folder of your system root.

  5. For File name, type a unique name for your new console file.
  6. Click Save to save the console file.

Related Topics

Best Practices


DRAFT Give Users Access to Terminal Services

You can administer the BackOffice Server computer remotely through Windows 2000 Terminal Services. All of the functionality provided by BackOffice Server Manager is available through Terminal Services if the following is true:

  • The target computer running BackOffice Server is also running Windows 2000 Terminal Services server software and is configured in remote administration mode.
  • The remote administrative computer is running a Terminal Services client application.
  • The remote user has administrator rights on the BackOffice Server.

Server Setup

The first step in setting up Terminal Services is to install the Terminal server software on your computer running BackOffice Server.

To enable Terminal Services in remote administration mode

  1. Open Add/Remove Programs
    Click Start, point to Settings, click Control Panel, and then double-click Add/Remove Programs.
  2. Click Add/Remove Windows Components to open the Windows Components Wizard.
  3. In Windows Components, select Terminal Services, and then click Next.
  4. In Terminal Services Setup, click Remote administration mode.

    The required files are copied to your hard disk, and the server software can be used after restarting the system.

Note You do not need to enable Terminal Services Licensing when enabling Terminal Services in remote administration mode.

After Terminal Services is installed on your computer running BackOffice Server, you can configure the Terminal Services connection to set security features and clients settings. For more information on configuring Terminal Services settings, refer to “Configuring Terminal Services” in Microsoft Management Console Help.

Client Setup

Each remote administration client needs to have the Windows 2000 Terminal Services client software installed in order to contact the computer running BackOffice Server. In addition, client computers will need copies of any customized management consoles you have developed.

Related Topics

Using Security Groups to Control Access to Resources


DRAFT View Server Status

The BackOffice Server snap-in, BackOffice Home, provides useful information about your server’s health and status. The BackOffice Home snap-in is available in both the BackOffice Management Console and the My BackOffice Server Console, and can also be included in your custom management consoles.

To view server status

  1. Open a BackOffice Server management console.
  2. If the Console Tree is visible, click BackOffice Home.

    If the Console Tree is not visible, click Home from the Favorites tab.

The BackOffice Home snap-in lists Health Monitor Alerts, Performance Counters, and Services.

Related Topics

BackOffice Server Snap-ins


Intranet Applications

BackOffice Server 2000 includes the following ready-to-use intranet applications that help users share information, stay informed, resolve problems, and work more effectively with their team:

  • Company Calendar. Provides a place for organizations to publish information about current and upcoming events.
  • Help Desk. Provides users with an easy way to submit and track requests for technical assistance. Helps Help Desk personnel assign, organize, track, and resolve Help Desk requests.
  • People Finder. Provides users with a way to view and search the company directory.
  • Document Finder. Allows users to share and access company documents.
  • Administration. Lets users with intranet administration privileges access pages that help manage and customize intranet applications.


Intranet Home

The intranet Home page provides users with overview information about each intranet application included with BackOffice Server. The Navigation Bar provides access to the intranet applications. Links can be easily added to or removed from the navigation bar. Additionally, the Home page can be customized or replaced by administrators using an HTML editing tool.

Related Topic

Add or Remove Navigation Bar Links


Company Calendar

The Company Calendar page displays a monthly calendar that lists company events such as holidays, meetings, and presentations. Users can view company event details by clicking the event date. Events can also be filtered by category.

If your organization uses Microsoft Outlook and Exchange Server, the Company Calendar page can display a link that provides an easy way for users to add event reminders to their personal calendars.

Related Topics

Look Up an Event

Add an Event Reminder to Outlook


View Calendar Events

  1. Click the Month and Year arrows to select the month and year of the event.
  2. On the calendar grid, select the date you want to view. Event details appear next to the calendar grid.

    By default, all calendar events for a selected date are shown.

  3. To filter the view by category, click View events by category, and then select the event types you want to view.

Related Topic

Add an Event Reminder to Outlook


Help Desk

Use the Help Desk page to submit requests to the Help Desk. After you submit a request, a technician can review your request and resolve the issue. You can also use the Help Desk page to view the status of requests that you have submitted.

Related Topics

Submit a Help Desk Request

Track Help Desk Requests


Document Finder

Document Finder allows users to access company documents on the intranet. Users can find specific types of documents by using full-text search. Users can also make their own documents available to other users on the company network by saving the documents to shared folders.

Related Topics

Save a Document to a Shared Folder

Search for Documents

Remove a Saved Document From the Intranet


Administration

From the Administration page, administrators can customize and manage the following intranet applications:

  • Intranet Links. Add or remove links that appear on the navigation bar.
  • Company Calendar. Configure the calendar. Add and edit calendar events and categories.
  • Help Desk. Configure the Help Desk. View, edit, and route Help Desk requests.
  • Shared Documents. Create folders that store documents for online viewing.

See Intranet Administrative Roles for more information.

Note Administrative links in the navigation bar are only displayed for users who have administrative privileges for at least one application. You must have administrative privileges for the applications that you wish to manage.

Related Topics


Intranet Administrative Roles

Users must have administrative privileges for the application they wish to manage. Trusted users can become members of one or more of the predefined security groups provided by BackOffice Server 2000. This gives them intranet administrative roles and administrative privileges for the application. The Administration links in the navigation bar are only displayed for users who have administrative privileges.

The following table lists the security groups created during BackOffice setup. All are domain local groups except InetG_HDTech, which is a global group.

BackOffice Intranet Security Groups

Application | Security group | Description
Intranet Users | Inet_Users | Can view the intranet.
Intranet Administrators | Inet_Admin | Can edit intranet Web pages.
Intranet Links | Inet_NavBar | Can add, modify, or delete intranet links in the navigation bar.
Company Calendar | Inet_Cal | Can manage events, categories, and preferences.
Company Calendar Event Publisher | Inet_CalEventPublisher | Can add, edit, or remove events on the Company Calendar.
Help Desk | Inet_HD | Can manage request categories, routing, and notification.
Help Desk Technician | InetL_HDTech | Can monitor, update, and close Help Desk requests.
Help Desk Technician | InetG_HDTech | Global group. Administrator account is a member by default.
Document Finder | Inet_Publish | Can manage shared document folders.

Related Topic

Assign Administrative Roles


Help Desk - How to…

Help Desk technicians assist users in resolving issues. Click one of the following links for more information.

Related Topics

Edit Help Desk Request

Add or Edit Help Desk Categories

Request Additional Information from User

View Help Desk Requests

Search Help Desk Issues

Resolve a Help Desk Issue

Assign Administrative Roles

Assign Requests to Technicians

Define Help Desk Category Questions

Remove a Help Desk Category

Configure Request Notifications


Draft Server Health and Monitoring

BackOffice Server 2000 includes new features that enable you to monitor the ongoing condition of your servers, receive alerts when things go wrong, or collect periodic snapshots of system status for building a historical view.

These features include:

BackOffice Home Snap-in

The BackOffice Home snap-in uses the functionality of Health Monitor 2.1 to provide administrators with summary information about the health of connected servers. The BackOffice Home snap-in is displayed by default when the BackOffice Server Management Console is opened. From the BackOffice Home snap-in you can access and configure the Server Status View.

  • Server Status View

The Server Status View appears each time you open the BackOffice Server Management Console or access the BackOffice Home snap-in. This view provides a current snapshot of critical events, performance counters, and services that you have chosen to monitor.

  • Server Status Reports

You can configure BackOffice Server to send regular reports of your server’s status automatically, including hardware condition, application health, and system performance. These reports can be sent in e-mail to administrators, and kept on-file for building historical views of server usage, which you can use to plan for future upgrades or required maintenance.

Health Monitor 2.1 (HealthMon)

HealthMon is designed to provide critical performance information on processes in BackOffice Server and Windows 2000 Server. It uses information provided by the Common Information Model (CIM), allowing administrators to set critical or warning thresholds.


DRAFT Introduction to Health Monitor 2.1

Health Monitor 2.1, also known as HealthMon, is included in BackOffice Server 2000 as a powerful real-time monitoring tool for administrators. HealthMon centrally collects system data — such as system events, performance counters and service status — and enables detailed status summary views of each server in your organization. The graphical interface displays a list of servers in your organization and gives you easy access to several categories of information for each server.

HealthMon uses information provided by the Common Information Model (CMI), allowing administrators to set critical or warning thresholds.

Data types that can be monitored in Health Monitor 2.1

Data Type | Description
Windows Management Instrumentation (WMI) instances, data queries, and event queries | WMI data (such as the amount of available disk space on all drives) and event notification (for example, creation of a logical disk).
Performance Monitor counters | System-level resources such as the fault server, logical disk, memory, paging file, physical disk, processor, and security.
Windows NT events | Hardware, software, system, and security events.
Application services and processes | Status of a service or an active process (whether the service or process is running, paused, stopped, or started).
File or folder properties | Name, location, and size of specific files.
HTTP addresses | Specified sites on Web servers (whether the site can be accessed and Web forms are being processed correctly).
ICMP properties | Systems that can be pinged through the ICMP protocol.
COM+ Applications |

The HealthMon console provides exception-based real-time status information grouped by system-level resources such as processor, memory, physical disk, and server work queues, and by server applications and processes such as Microsoft SQL Server™, Microsoft Exchange Server, and Microsoft Internet Information Services. A series of thresholds are provided by default, but the administrator can tune these policies based on network need. A rearm value can also be set to indicate when the critical or warning event should be considered to have returned to normal.

In response to a problem, HealthMon enables customizable corrective actions based on three types of alerts: Informational, Warning, and Critical. Possible corrective actions include: sending alerts by e-mail/pager; writing a problem to a .log file; running a script; and executing a command-line action.

For more information on how to configure and use HealthMon, see Health Monitor online Help.


DRAFT The BackOffice Home Snap-in

The BackOffice Home snap-in uses the functionality of Health Monitor 2.1 to display a graphical snapshot of the current “health” of your server or servers. The BackOffice Home snap-in is loaded by default in the BackOffice Server Management Console and the My BackOffice Server Console, but it can also be added to new or existing consoles in the same manner as other snap-ins.

The BackOffice Home snap-in provides administrators with two key tools for managing server health.

Server Status View

The Server Status View gives administrators of any level a quick glance at the overall health of their servers and of pressing issues that need attention. Administrators can customize the Server Status View to display only those alerts, performance counters, and services that are critical to the organization.

Server Status View displays brightly colored icons that indicate status based on monitoring thresholds that are set by the administrator. The following icons are used:

[tbd.gif] Critical Error

[tbd.gif] Warning

[tbd.gif] No Connection

[tbd.gif] Information or OK

Administrators can get additional details about an item by double-clicking it in the view.

Server Status Reports

In addition to providing the Server Status View, the BackOffice Home snap-in can be used to configure BackOffice Server to automatically create and send e-mail or fax server status reports to administrators. Server status reports can be customized to include information about hardware condition, application health, and system performance. Log files can also be attached to reports to help administrators troubleshoot system problems.

Server status reports can be scheduled to run at any time and at repeated intervals. Reports can also be exported in XML format.

When kept on file, these reports provide valuable historical information about server usage that can be used to plan for future upgrades or required maintenance.

Related Topics

Display Server Status View

Customize Server Status View

Configure Server Status Reports


Draft How To…

Display Server Status View

Customize Server Status View

Send Alerts

Configure Server Status Reports

Send Server Status Report Immediately

Create or Modify Monitoring Configuration Files

Enable Multiple Alert Levels


Draft Troubleshooting BackOffice Server 2000

Placeholder


DRAFT Troubleshooting Exchange Server

Adding a MX Record to a DNS Server

Setting Up a Filter in Exchange


DRAFT Adding a Mail Exchanger Record to a DNS Server

Mail Exchanger (MX) records map a Domain Name Server (DNS) domain name to the name of a computer that exchanges or forwards mail. If your network has a DNS Server and an Exchange Server installed on separate computers, you will need to add an MX record to the DNS Server.

To add an MX record

  1. Click Start, point to Programs, point to Administrative Tools, and then click DNS.
  2. Double-click the DNS server you want to modify, double-click Forward Lookup Zones, and then double-click on the applicable zone.
  3. From the Action menu, click New Mail Exchanger.
  4. In the Host or domain text box, type the domain name for which this record is to be used to deliver mail.
  5. In the Mail server text box, type the DNS host computer name of the mail exchanger or mail server host that delivers mail for the specified domain name.

Note Click Browse to view the DNS namespace for mail exchanger hosts in this domain that have host (A) records already defined.

  6. Click OK to add the new record.

More Information

For more information about MX records, refer to Windows 2000 Help

Click Start, and then click Help.


DRAFT Setting Up a Filter in Exchange

If your network is receiving a large amount of unwanted e-mail, you can set up a filter to prevent the mail from being delivered. This is a two-step process, as follows.

To set up the filter

  1. Click Start, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings, right-click Message Delivery, and then click Properties.
  3. Click the Filtering tab. A current list of e-mail addresses and display names appears. Mail sent from these senders to the Exchange Server will not be delivered to the recipient.
  4. Click Add to add an entry to the filter.
  5. Type in a specific e-mail address or use a wildcard to filter out an entire domain, and then click OK.
  6. Select Accept messages without notifying sender of filtering to prevent an NDR from being sent to the sender of the filtered message. If you receive large amounts of filtered e-mail, this can improve network and server performance.

To apply the filter

  1. Click Start, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Servers, double-click the Exchange Server configured to receive your Internet mail, double-click Protocols, and then double-click SMTP.
  3. Right-click the Default SMTP Virtual Server, click Properties, and then click Advanced.
  4. Select the virtual server, and then click Edit.
  5. Select Apply filter, and then click OK.
  6. Exit System Manager.


DRAFT Troubleshooting Client Setup

Internet Explorer Client Unable to Browse After Upgrading Server


DRAFT Internet Explorer Client Unable to Browse After Upgrading Server

This problem occurs because the Internet Security and Acceleration Server require browsers to use port 8080.

Recommendation

Configure Internet Explorer to use the new port setting.

To change the Internet Explorer port setting

  1. From the Control Panel, double-click Internet Options.
  2. Click the Connections tab, and then click LAN Settings.
  3. In the Proxy Server section, change the Port field to 8080, and then click OK.


Draft Troubleshooting Server Health and Monitoring

Not available for Beta.


Draft Percent Processor Time

Not available for Beta.


Draft Pages per Second

Not available for Beta.


Draft Free Megabytes

Not available for Beta.


Draft Troubleshooting Intranet Applications

Not available for Beta.


Draft Unable to Save Documents to Shared Folder

Not available for Beta.


DRAFT Configure Server Status Reports

You can configure BackOffice Server to automatically create and send server status reports to administrators by e-mail or fax. You can customize server status reports to include information about hardware condition, application health, and system performance. You can also attach log files to the reports to help administrators troubleshoot system problems. When kept on file, these reports provide valuable historical information about server usage that can be used to plan for future upgrades or required maintenance.

To configure BackOffice Server to automatically create and send server status reports

  1. With the Server Status View displayed in the results pane, right-click the view and then click Configure Report. The Server Status Report Configuration page will appear.
  2. Click the Report Options tab.
  3. Select the types of data you want to include on the server status report. If you want to receive reports in XML format, select Attach above data in XML format.
  4. Under Application log files, select the log files you want to attach to the server status report.
  5. To attach a log file that does not appear in the list, click Add and then specify the information and path for the log file to be attached. After specifying this information, click Add.
  6. Click the Send Options tab.
  7. Specify if you want to send the server status report to an e-mail address and/or to a fax number.

Note

  • A fax machine that is compatible with Windows 2000 Server must be installed before you can send a report by fax.
  • User-defined log files can only be sent by fax.
  8. Click the Task tab.
  9. (Optional) You can type a comment that describes the report that will be created. You can also specify a user account and password in the Run as field.
  10. Click the Schedule tab.
  11. Specify the schedule for when the server status report will run. If you want to schedule a start and/or end date for running the report, or if you want to schedule the report to run at repeated intervals, click Advanced. The Advanced Schedule Options page will appear.
  12. Specify advanced scheduling options and then click OK.
  13. Click OK to save your settings and close the Server Status Report Configuration page.

Related Topics

Send the Server Status Report on Demand


DRAFT Display Server Status View

The BackOffice Home snap-in must be installed in a management console to display the Server Status View. The BackOffice Server Management Console and the My BackOffice Server Console come preconfigured with the BackOffice Home snap-in by default.

To display the Server Status View in the BackOffice Server Management Console

  1. Open the BackOffice Server Management Console. Click Start, point to Programs, point to Microsoft BackOffice, and then click BackOffice Server Management Console.
  2. In the console tree, click BackOffice Home. The Server Status View will be displayed in the results pane.

To display the Server Status View in the My BackOffice Server Console

  1. Open the My BackOffice Server Console. Click Start, point to Programs, point to Microsoft BackOffice, and then click My BackOffice Server Console.
  2. Under Favorites, click Home. The Server Status View will be displayed in the results pane.

To add the BackOffice Home snap-in to a new MMC console

  1. On the Console menu, click Add/Remove Snap-in, and then click Add. The Add Standalone Snap-in page will appear.
  2. Under Snap-in, double-click BackOffice Home
  3. Close the Add Standalone Snap-in page.
  4. On the Add/Remove Snap-in page, click OK. A node for BackOffice Home will appear in the console tree.

Notes

  • To open MMC, click Start, click Run, type mmc, and then click OK.
  • If the BackOffice Home snap-in does not appear in the list, you must first install it using the BackOffice Server setup program.

Related Topics

Customize Server Status View


DRAFT Customize Server Status View

You can customize the Server Status View to display only the alerts, performance counters, or services you want to appear. You can also specify if you want to automatically refresh the Server Status View for MultiServer groups.

To customize the Server Status View

  1. With the Server Status View displayed in the results pane, right-click the view and then click Configure View. The Server Status View Configuration Properties page will appear.
  2. Click the tab for the server you want to manage.
  3. Select the performance counters that you want to appear in the Server Status View. Clear the check boxes for performance counters that you do not want to appear.
  4. Select the services that you want to appear in the Server Status View. Clear the check boxes for services that you do not want to appear.
  5. If you manage a MultiServer group, click the Global Settings tab.
  6. Specify if you want to automatically refresh the Server Status View for all servers in a MultiServer group and what the refresh interval will be.
  7. Click OK to save your settings and close the Server Status View Configuration Properties page.

Related Topics

Send Server Status Reports


DRAFT Send Server Status Report Immediately

Sometimes you may want to create and send a current server status report immediately.

To create and send a current server status report immediately

  1. With the Server Status View displayed in the results pane, right-click the view and then click Configure Report. The Server Status Report Configuration page will appear.
  2. Click the Report Options tab.
  3. Specify the type of data you want to include on the server status report and any application logs you want to attach to the report. To add a log file that does not appear on the list, click Add.
  4. Click the Send Options tab.
  5. Specify if you want to send the server status report to an e-mail address and/or to a fax number.

Note

  • A fax machine that is compatible with Windows 2000 Server must be installed before you can send a report by fax.
  • User-defined log files can only be sent by fax.
  6. After specifying report and send options, click Send Now.

Related Topics

Configure Server Status Reports


DRAFT Best Practices

You can get the most out of BackOffice Server by following these best practices of management technique.

Using Templates to Add New Users

BackOffice Server 2000 enables you to use any existing user's settings as a template to create new users.

Using Templates to Add Users

Using Templates to Create New Consoles

You can quickly create your own management consoles using snap-ins and tasks included with the two pre-configured BackOffice consoles.

Using Templates to Create New Consoles

Using Security Groups to Control Access to Resources

All users are assigned to security groups when created. Using security groups to manage access to system resources helps you to increase your network security.

Using Security Groups to Control Access to Resources

Related Topics

New Ways to Do Familiar Tasks


DRAFT Add Support for an Active Directory Object

All Microsoft Management Consoles make queries of Active Directory objects. When you are designing custom management consoles, you will need to determine what Active Directory objects the BackOffice Server will call.

To add an Active Directory object to the BackOffice Manager snap-in

  1. Open the console you want to change in author mode.

Note You can open a console in author mode by doing one of the following:

  • Right-click the console (.msc file), and then click Author.
  • Click Start, click Run, type mmc path\filename.msc /a, and then click OK.
  2. From the Console Tree, click the BackOffice Manager snap-in.

    Important Active Directory objects can only be added to the BackOffice Manager snap-in.

  3. Click Action, and then click Properties.
  4. Click the Objects tab, and then click Add to start the Add Object Wizard.
  5. Follow the on-screen instructions to complete the wizard.

Related Topics

BackOffice Server Snap-ins


Navigating the Company Calendar

There are three primary ways to move through the Company Calendar:

  • Month to month: Select the desired month from the drop-down month box.
  • Year to year: Select the desired year from the drop-down year box.
  • Day to day: Select a specific date in the calendar.

The status of a calendar date is indicated using borders and font colors as follows:

  • The current date has a red border around it.
  • Dates with scheduled events are indicated with bold numbers.

Related Topic

View Calendar Events


Add an Event Reminder to Outlook

Events in the Company Calendar do not automatically appear in the Outlook calendar.

To add an event reminder to Outlook

  1. On the navigation bar, click Company Calendar.
  2. Click the Month and Year arrows to go to the month and year of the event.
  3. On the calendar grid, select the date of the event.
  4. Find the event you wish to add to Outlook and click Add this event to my calendar. The File Download box will appear.
  5. Select Save this program to disk, and then click OK.
  6. Double-click the event file. It opens as an appointment.
  7. Click Save and Close.
  8. This link adds an event as an appointment to your personal Outlook calendar. Recurring events on the Company Calendar are added to the Outlook calendar as recurring appointments.

Related Topics


Editing Help Desk Requests

Help Desk requests can be edited to reflect changes in issue or status.

To edit a Help Desk request

  1. On the navigation bar, expand the Administration and Help Desk links, then click View Requests. A list of requests assigned to the current user will appear.

    Help Desk requests are sorted first by priority, and then by date.

  2. Click a specific request to display information about that request.
  3. Click Edit request. The appropriate fields will become editable.
  4. Change the request as required, and then click Submit.

Related Topics


Remove Help Desk Request Category

Users with Help Desk administrative permissions can remove categories of requests if the categories are no longer needed.

You will not be able to remove a request category if it has requests assigned to it. You must first delete or reassign requests assigned to the category.

To remove a Help Desk request category

  1. On the navigation bar, expand the Administration and Help Desk links, and then click Edit Categories.
  2. In the list, select the category you want to remove, and then click Delete. A confirmation message will appear.
  3. Click OK.

Related Topics

Add or Edit Help Desk Categories


Request Additional Information from a User

At times, Help Desk technicians require additional information from a user who submitted a request.

To request additional information from a user

  1. On the navigation bar, expand the Administration and Help Desk links, and then click View Requests. A list of requests assigned to the current user will appear.

    Help Desk requests are sorted first by priority, and then by date.

  2. Click a specific request to display information about that request.
  3. Click the Customer or Requestor user alias link to open a new e-mail message box.
  4. Type a message, and then click Send.

Related Topics


Search Help Desk Issues

You can use the advanced search features of Help Desk to find issues that meet specific search criteria.

To search Help Desk issues

  1. On the navigation bar, expand the Administration and Help Desk links, and then click View Requests. A list of requests assigned to the current user will appear.
  2. Click Search. The advanced search frame will open.
  3. Specify your search criteria using the text boxes and or drop-down lists provided, and then click Search.

    Search results will be displayed below the search box. Only the first 50 requests will be displayed.

Related Topic

View Help Desk Requests Assigned to Me


Resolve a Help Desk Issue

When a Help Desk issue has been resolved, update the request record status to "closed."

To resolve a Help Desk issue

  1. On the navigation bar, expand the Administration and Help Desk links, and then click View Requests. A list of requests assigned to the current user will appear.

    Help Desk requests are sorted first by priority, and then by date.

  2. Click a specific request to display information about that request.
  3. Click Edit Request. The appropriate fields will become editable.
  4. For Status, select Closed, and then click Submit.

Related Topic

Edit Help Desk Request


Search the Company Directory

Use People Finder to search the company directory.

To search for a user or group in the company directory

  1. On the navigation bar, click People Finder.
  2. Type the e-mail alias, first name, or last name of the person or group you want to find, and then click Search. A summary view of search results will appear below the search box.

    The list will only display the first 500 matching entries.

  3. To view details, click the name of a particular user or group. Directory information for the selected user will replace the search results list.
  4. Click the names of managers, direct reports, and group memberships for additional details.
  5. To send mail to a user, click the e-mail alias of the user.
  6. To perform another search, type the new search criteria in the text box, and then click Search.

Related Topics


Search for Documents

The Document Finder makes it easy to find company documents that are available for viewing over the intranet. You can search for documents using file properties such as file name, file size, and date created. You can also search for documents by specifying Microsoft Office properties such as Author, Company and Comments. You also can run full-text search queries.

To find a document on the intranet

  1. On the navigation bar, click Document Finder.
  2. Type your search criteria in the text box, and then click Search. A matching list of documents will be displayed.
  25. You can use Boolean expressions such as “and” and “or” to further define search criteria.
  26. Click a specific document to open it.

Related Topics


Track Help Desk Requests

You can determine the status of a Help Desk request by using the Track Requests option to search requests by request number or by e-mail alias.

To track the status of a Help Desk request

  1. Under Help Desk on the navigation bar, click Track Requests.
  2. To view requests submitted by a specific e-mail alias, click Find requests submitted by e-mail alias.
  3. If you want to include requests that have been resolved, select the Include closed requests check box.
  4. To view a specific request, click Find requests with a specific request number.
  5. Type the e-mail alias or request number, and then click Search.

    Search results will be displayed below the search box.

Related Topic

Submit a Request to the Help Desk


View Help Desk Requests Assigned to Me

You can view a list of Help Desk requests that are assigned to you.

To view Help Desk requests that are assigned to you

  • On the navigation bar, expand the Administration and Help Desk links, and then click View Requests. A list of requests assigned to the current user will appear.

Related Topic

Search Help Desk Issues


Save a Document to a Shared Folder

Before a document can be viewed on the intranet, it must first be saved to a shared folder.

To save a document to a shared folder from a Microsoft Office 2000 or Office 97 application

  1. On the File menu of the application, click Save As.
  2. Click My Network Places, and then select the shared folder in which you want to save the document.
  3. Click Save.

    Intranet users can now view the document.

To save a document to a shared folder using Windows Explorer

  1. Copy the document to the Clipboard.
  2. Open Windows Explorer.
  3. In the tree view, click My Network Places, and then select the shared folder in which you want to save the document.
  4. Paste the document into the folder.

    Intranet users can now view the document.

Related Topics


Remove a Document from a Shared Folder

You can remove documents from shared folders to make them unavailable to network users.

To remove a document from a shared folder

  1. Open Windows Explorer.
  2. Find the folder that contains the document you wish to remove, and click to display its contents.
  3. Right-click the document you wish to delete, and then click Delete.
  25. You may choose to back up documents before deleting them from a shared folder.

Related Topics


Add Components to the Default Intranet Site

Not available for beta


Create an ASP Page to Display Database Information

Not available for beta.


Add Links to the Home Page Navigation Bar

Not available for beta.

Related Topics


Give Calendar Administrative Rights to Users

Users with administrative rights for the Company Calendar can add, edit, or remove calendar events and categories and can modify calendar preferences.

To give calendar administrative rights to users

  1. Open the BackOffice Server Management Console.
  2. In the Console Tree, expand the BackOffice Manager node and then click Intranet Applications.
  3. On the Tips – Intranet Applications taskpad, click Control Access. A list of users and groups appears.
  4. Double-click the BOSInetAdmins_Calendar group. The group properties page appears.
  5. Click the Members tab, and then click Add. A list of Active Directory™ objects appears.
  6. In the list, select the user or users to whom you want to assign administrative rights for the Company Calendar application, and then click Add.
  7. When you have finished adding members to the group, click OK.

Related Topics


Manage Event Categories

Company Calendar administrators can add event categories, change the names of event categories, or remove event categories from the calendar.

To add an event category to the Company Calendar

  1. On the navigation bar, expand the Administration link, click Company Calendar, and then click Categories.
  2. Under Define Calendar Categories, type a name for the event category you want to add, and then click Add. The new category will appear in the category list.

To change the name of an event category

  1. On the navigation bar, expand the Administration link, click Company Calendar, and then click Categories.
  2. In the list, select the category that you want to change. The category will appear in the text box below the list.
  3. Change the name of the category, and then click Update.

To remove an event category from the Company Calendar

  1. On the navigation bar, expand the Administration link, click Company Calendar, and then click Categories.
  2. In the list, select the category that you want to remove, and then click Remove.

Related Topics

Add, Edit or Remove Events from the Company Calendar


Add, Edit, or Remove Events from the Company Calendar

Company Calendar administrators can add or remove Company Calendar events.

To add an event to the Company Calendar

  1. On the navigation bar, expand the Administration link, click Company Calendar, and then click Add/Edit Events.
  2. Click Add an Event.
  3. Type the Event Title.
  4. Select the Month and Year of the event using the drop-down lists.
  5. On the calendar, select the date of the event to be added and select the start and end times for the event.
  6. If this is a recurring event, select the recurrence type, and then specify the final date of recurrence.
  7. Click Submit.

To edit events on the Company Calendar

  1. On the navigation bar, expand the Administration link, click Company Calendar, and then click Add/Edit Events.
  2. Select the Month and Year of the event using the drop-down lists.
  3. On the calendar, select the date of the event to be edited. Events that appear on that date appear next to the calendar.
  4. Find the event you want to edit and click Edit this event.
  5. If this is a recurring event, select whether you want to edit this occurrence or edit all occurrences.
  6. Make changes as required, and then click Submit.

To remove an event from the Company Calendar

  1. On the navigation bar, expand the Administration link, click Company Calendar, and then click Add/Edit Events.
  2. Select the Month and Year of the event using the drop-down lists.
  3. On the calendar, select the date of the event to be removed. Events that appear on that date appear next to the calendar.
  4. Find the event you want to remove and click Delete this event.
  5. If this is a recurring event, select whether you want to delete this occurrence or delete all occurrences.
  6. Click OK.


Remove Sample Data

Not available for beta.


Hide the Add to Calendar Link

The Define Calendar Preferences page allows administrators to specify contact information for the Company Calendar administrator. Administrators can also choose to display a link that allows users to add an event to their personal calendars.

If your organization does not use the Outlook calendar, you can hide the Add this event to my calendar link that appears next to each event.

To hide the add to calendar link on the Company Calendar

  1. On the navigation bar, expand the Administration link, click Company Calendar, and then click Preferences.
  2. Clear the Show Add this event to my calendar link for each event check box, and then click Submit.

Related Topics


Assign Administrative Roles

Users must have membership in the intranet security groups for the applications they want to manage.

To assign a user membership in an intranet security group

  1. Open the BackOffice Server Management Console.
  2. In the console tree, expand the BackOffice Manager node and then click Intranet Applications.
  3. On the Tips – Intranet Applications taskpad, click Control Access. A list of users and groups appears.
  4. Double-click the security group you want to manage. The Group Properties page appears.
  5. Click the Members tab, and then click Add.
  6. Select the users to whom you want to assign membership in this group, and then click Add.
  7. When you have finished adding users to the group, click OK.

Related Topic

Intranet Administrative Roles


Configure Request Notification

Help Desk technicians can be notified of requests that have been assigned to them either by an e-mail message sent to their mailbox or by an e-mail message sent to their pager. Messages sent to a mailbox use the e-mail address specified on the General tab of the user properties. E-mail messages sent to a pager user the e-mail address specified for the pager on the E-mail Address tab of the user properties.

To configure Help Desk notification options

  1. On the navigation bar, expand the Administration and Help Desk links, and then click Notifications.
  2. Select Mailbox, Pager, or both to specify the way technicians will receive notification of new requests.

Select the Pager option only if a technician's pager can receive e-mail messages.

  3. If you selected Mailbox, click Edit Message and type the message to be sent when a request is submitted. When you have finished, click Submit.
  4. If you wish to notify a user upon receipt or closure of a Help Desk request, select the appropriate option, and then click Edit Message.
  5. Type the message to be sent when a request is received or closed, and then click Submit.

    Use the ‘%1%’ variable in a message to indicate where the log number will appear. Use the ‘%2%’ variable to indicate where the priority level will appear.

Related Topic

Assign Requests to Technicians


Manage Shared Documents Folders

Administrators can use the Shared Documents Administration publishing wizard to give users authoring permission for a folder and to add or remove shared documents folders.

To create a shared documents folder

  1. On the navigation bar, expand the Administration link, and then click Shared Folders.
  2. Click Add New.
  3. Follow the on-screen instructions to create a shared documents folder.

    When you create a shared document folder, the wizard will:

    • Ask if you want to create a link to the shared document folder on the Navigation Bar.
    • Create a Windows 2000 security group that defines all users who can publish to the folder.
    • Create a shared folder with permissions assigned to allow members of the new security group to copy files to the folder.
    • Create an IIS virtual directory for the folder. This allows users to view folder contents.
    • Create a FrontPage web in the folder enabling you to edit the contents using FrontPage.
    • Send an e-mail to security group members with instructions on how to publish documents to the folder.

To give users authoring permission for a shared documents folder

  1. On the navigation bar, expand the Administration link, and then click Shared Folders.
  2. Select the folder to be modified, and then click Edit Authors.
  3. Select the users and groups that will have permission to create, modify, and delete files in this folder and add them to the list.

To delete a shared documents folder

  1. On the navigation bar, expand the Administration link, and then click Shared Folders.
  2. Select the folder to be deleted, and then click Delete.

Related Topics


Configure a Web Folder

Not available for beta.


Define Calendar Preferences

Users can modify language and regional settings for the Company Calendar.

To define calendar preferences

  1. On the navigation bar, click Company Calendar.
  2. Click Calendar Preferences.
  3. Using the drop-down lists, select your preferences for Locale and Time Zone. If you are using Internet Explorer 5 or later, you can also select preferences for Language Group and Calendar Format.
  4. If appropriate, select the Display week numbers option.
  5. To save the changes, click Submit. Calendar preferences are saved in a cookie on the local computer.

Related Topics


Manage Help Desk Categories

Users and Help Desk technicians can use Help Desk categories to describe certain types of issues, such as but not limited to:

  • Computer problems
  • Facilities maintenance
  • Procurement requests
  • Ordering office supplies

Help Desk administrators can add, edit, or remove categories to meet the needs of the organization.

Related Topics

Add, or Edit Help Desk Categories

Define Help Desk Category Questions


Add or Edit Help Desk Categories

Users and technicians can use Help Desk categories to describe issue types. The following procedures describe how to create or edit categories.

To add a Help Desk category

  1. On the navigation bar, expand the Administration and Help Desk links, and then click Edit Categories.
  2. Click Add New.
  3. Follow the on-screen instructions to add a new Help Desk category and to select or add questions that will appear when a user selects that category from the request form.
  4. To submit your changes, click Finish.

To edit a Help Desk category

  1. On the navigation bar, expand the Administration and Help Desk links, and then click Edit Categories.
  2. Select the category you want to edit and then click Edit.
  3. Follow the on-screen instructions to edit a selected Help Desk category.
  4. To submit your changes, click Finish.

Related Topic

Remove a Help Desk Category


Define Request Category Questions

When users submit Help Desk requests, they answer a number of questions pertaining to their issues. The questions that users answer are tied to the category that they select. Help Desk administrators can modify the list of questions and define questions by category. For example, questions for an Internet problem might include browser type and version.

To add a question to the request form

  1. On the navigation bar, expand the Administration and Help Desk links, and then click Edit Categories.
  2. Click Edit.
  3. Click Next until you come to the Select additional questions page.
  4. Click Edit the List of Questions, and then click Add New.
  5. Type the question in the box provided.
  6. Specify the answer format:
    • Select Text input box if users will type an answer directly into the form.
    • Select Drop-down list if users will select predetermined answers from a drop-down list.
  7. If you selected Drop-down list, type an answer choice in the box and click Add. Repeat this process for each answer choice you want to appear in the drop-down list.
  8. To save the changes, click Submit.

To edit a question on the request form

  1. On the navigation bar, expand the Administration and Help Desk links, and then click Edit Categories.
  2. Click Edit.
  3. Click Next until you come to the Select additional questions page.
  4. Click Edit the List of Questions.
  5. In the list, select the question you wish to change, and then click Edit.
  6. Edit the question as necessary.
  7. To edit answer choices, select the answer to be changed from the list. The answer will appear in the box below the list. Make necessary changes, and then click Update. Repeat this process for each answer choice you want to edit.
  8. To save the changes, click Submit.

To remove a question from the request form

  1. On the navigation bar, expand the Administration and Help Desk links, and then click Edit Categories.
  2. Click Edit.
  3. Click Next until you come to the Select additional questions page.
  4. Under Selected questions, select the question to be removed, and then click Remove.
  5. Repeat step 4 for all questions to be removed.
  6. To save changes, click Next and then click Finish.

Related Topics


Assign Requests to Technicians

Help Desk requests are assigned to technicians based upon routing options, which include workload and technician expertise. Help Desk administrators can configure the options that define how Help Desk requests are routed to a technician. Administrators can also choose not to route requests automatically.

To configure routing for Help Desk requests

  1. On the navigation bar, expand the Administration and Help Desk links, and then click Routing.
  2. Select the appropriate routing option. You have three options:
    • No automatic routing — all requests are unassigned.
    • Route to the technician with the fewest open requests.
    • Route based on expertise of the technicians.

    By default, Help Desk request categories of all levels are assigned to “Default Technician.” The default technician is defined by the first entry in the list.

  3. If you selected Route based on expertise of the technicians, select the category to be assigned, and then select the technician assigned to the category using the drop-down list.
  4. If the assigned technician is responsible for all requests in that category, select Assign same technician to all sub-categories. If not, assign other technicians to the appropriate sub-categories by repeating step 3.
  5. Click Submit to save your changes.

Related Topics

Configure Request Notifications


Document Sharing

Not available for Beta.